const btc = require("bitcoinjs-lib");
const net = btc.networks.bitcoin


//create bitcoin address on main net
function createAddress() {
    const keyPair = btc.ECPair.makeRandom({ network: net})
    const wif = keyPair.toWIF()
    const { address } = btc.payments.p2pkh({ pubkey: keyPair.publicKey, network: net })
    return {
        address:address,
        privateKey:wif
    }
}

module.exports={
    createAddress:createAddress
}
