//验证通过
const bitcoin = require("bitcoinjs-lib");
const keyPair = bitcoin.ECPair.fromWIF("L2vJgFsxjt5YidfgU2dksfyTLSPL9ReoteB6cdnQ1KULejgRXNWg");

const txb = new bitcoin.TransactionBuilder();
//input需要：
//1.txid 2.vout 3.utxo的value就可以
txb.setVersion(1);
txb.addInput("7c638a223a68645cd3ee64a290e1904203fd6f8d27366ab2633c7d5872a3955a", 0);
//output需要：
//1.address 2.value
//及时output的地址系相同，在区块链中也是两个UTXO
txb.addOutput("36yP8EbRR2dkqf7i51jisMB8LXogizmso9", 180000);
// tx.addOutput("1QFHVyzr1CEfKbXxfwMEwrj7V3ixTN25XP", 90000);
//留足够的旷工费之后，还需要设置剩余返回的地址和余额
//最后一个值是utxo的value、换算为单位聪
//输入多个output就相当于多笔输出，可用来做批量签名
txb.sign(0, keyPair)
//miner fee=(99990000-99980000)/10^8

console.log(txb.build().toHex());

//签名成功的例子：https://tchain.btc.com/96cc1a6a935b96f98ebf91022a494701617943912967643636b5ae00c7eec647

